<?php
	// enables wigitized sidebars
	if ( function_exists('register_sidebar') )

	// Sidebar Widget
	// Location: the sidebar
	register_sidebar(array('name'=>'Sidebar',
		'before_widget' => '<div class="box  %2$s" id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Header Widget
	// Location: right after the navigation
	register_sidebar(array('name'=>'Header',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '',
		'after_title' => '',
	));
	// Footer Widget
	// Location: at the top of the footer, above the copyright
	register_sidebar(array('name'=>'Footer',
		'before_widget' => '<div class="%2$s inner-box box-3">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// The Alert Widget
	// Location: displayed on the top of the home page, right after the header, right before the loop, within the contend area
	register_sidebar(array('name'=>'Alert',
		'before_widget' => '<div class="alert-area">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	
	// The Slider Widget
	// Location: displayed on the top of the home page, right after the header within the contend area, primary purpose is to contain sliders 
	register_sidebar(array('name'=>'Sliders',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '',
		'after_title' => '',
	));
	
	// The Category Widget
	// Location: displayed under the sliders on home page only, primary purpose is to contain shop categories slider 
	register_sidebar(array('name'=>'Featured Products',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<!--',
		'after_title' => '-->',
	));
	
	
	// The Home Sidebar Widget
	// Location: displayed in the content area floated right, only on home page 
	register_sidebar(array('name'=>'Home Sidebar',
		'before_widget' => '<div class="box  %2$s" id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
	
	// The Home Sidebar Widget
	// Location: displayed in the content area floated left, only on home page 
	register_sidebar(array('name'=>'Home Content',
		'before_widget' => '<div class="fance">',
		'after_widget' => '</div>',
		'before_title' => '<div class="title border"><h2 class="category-title">',
		'after_title' => '</h2></div>',
	));
	
	
	// The Home Subcontent Widget
	// Location: displayed in the content area floated left, only on home page 
	register_sidebar(array('name'=>'Home Subcontent',
		'before_widget' => '<div class="%2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="category-title">',
		'after_title' => '</h2>',
	));
	
	// The Home Supcontent Widget
	// Location: displayed in the content area floated left, only on home page 
	register_sidebar(array('name'=>'Home Supcontent',
		'before_widget' => '<div class="tagline">',
		'after_widget' => '</div>',
		'before_title' => '<!--',
		'after_title' => '-->',
	));
	
	// The Header Cart Widget
	// Location: displayed in header, primary goal is to show shopping cart widget 
	register_sidebar(array('name'=>'Shopping Cart',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<!--',
		'after_title' => '-->',
	));
	
	// The Contacts Page Sidebar
	// Location: displayed in header, primary goal is to show shopping cart widget 
	register_sidebar(array('name'=>'Contacts Sidebar',
		'before_widget' => '<div class="box  %2$s" id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

	// The Store Page Sidebar
	// Location: displayed in header, primary goal is to show shopping cart widget 
	register_sidebar(array('name'=>'Store Page Sidebar',
		'before_widget' => '<div class="box  %2$s" id="%1$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	
	// The Banner Sidebar
	// Location: displayed in the top of the store page, primary goal is to show banners 
	register_sidebar(array('name'=>'Banner Holder',
		'before_widget' => '<div class="space">',
		'after_widget' => '</div>',
		'before_title' => '<!--',
		'after_title' => '-->',
	));
	
	// The Special Sidebar
	// Location: displayed on home page before footer, primary goal is to show specials widget 
	register_sidebar(array('name'=>'Home Before Footer',
		'before_widget' => '<div class="box-3 %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="category-title border">',
		'after_title' => '</h3>',
	));
	
	register_sidebar(array('name'=>'Bottom',
		'before_widget' => '<div class="bottom">',
		'after_widget' => '</div>',
		'before_title' => '<!--',
		'after_title' => '-->',
	));
	
	register_sidebar(array('name'=>'Footer Upper',
		'before_widget' => '<div class="footer_upper">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	
	register_sidebar(array('name'=>'Footer Lower',
		'before_widget' => '<div class="footer_lower">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));


	add_custom_background();
//	add_custom_image_header();
	
	add_editor_style(get_bloginfo('stylesheet_url'));

	//----localization--------------------
	
	load_theme_textdomain( 'phomedia', TEMPLATEPATH . '/locales/' );

	$locale = get_locale();
	$locale_file = TEMPLATEPATH . "/locales/$locale.php";
	if ( is_readable( $locale_file ) )
		require_once( $locale_file );


	// post thumbnail support
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 198, 228, true );
	// custom menu support
	add_theme_support( 'automatic-feed-links' );
	

	if ( function_exists( 'register_nav_menu' ) ) {
		register_nav_menu( 'subheader_menu', 'Top Menu' );
	}
	if ( function_exists( 'register_nav_menu' ) ) {
		register_nav_menu( 'header_menu', 'Main Menu' );
	}
	if ( function_exists( 'register_nav_menu' ) ) {
		register_nav_menu( 'sidebar_menu', 'Sidebar Menu' );
	}
	if ( function_exists( 'register_nav_menu' ) ) {
		register_nav_menu( 'footer_menu', 'Footer Menu' );
	}
	
//add_filter('nav_menu_css_class', 'my_css_attributes_filter', 100, 1);
add_filter('nav_menu_item_id', 'my_css_attributes_filter', 100, 1);
//add_filter('page_css_class', 'my_css_attributes_filter', 100, 1);
function my_css_attributes_filter($var) {
  return is_array($var) ? array() : '';
}
	
	
	// custom background support
	//add_custom_background();
	
	// removes detailed login error information for security
	add_filter('login_errors',create_function('$a', "return null;"));
		
	//show home page in menu options
	function ti_page_menu_args( $args ) {
		$args['show_home'] = true;
		return $args;
	}
	add_filter( 'wp_page_menu_args', 'ti_page_menu_args' );
	
	// Removes <p> tags from content
	
	remove_filter ('comment_text',  'wpautop');
	
	// Removes Trackbacks from the comment cout
	add_filter('get_comments_number', 'comment_count', 0);
	function comment_count( $count ) {
		if ( ! is_admin() ) {
			global $id;
			$comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
			return count($comments_by_type['comment']);
		} else {
			return $count;
		}
	}
	
	
	// wrapping all images
	function ti_image_tag($html, $id , $alt, $title){
		$html = "<figure>".$html."</figure>";
		return $html;
	}
	//add_filter('get_image_tag','ti_image_tag', 1, 4);
	
	// custom excerpt ellipses for 2.9+
	function custom_excerpt_more($more) {
		return 'Read More &raquo;';
	}
	add_filter('excerpt_more', 'custom_excerpt_more');
	// no more jumping for read more link
	function no_more_jumping($post) {
		return '&nbsp;<a href="'.get_permalink($post->ID).'" class="read-more">'.'Continue Reading'.'</a>';
	}
	add_filter('excerpt_more', 'no_more_jumping');
	
	// category id in body and post class
	function category_id_class($classes) {
		global $post;
		foreach((get_the_category($post->ID)) as $category)
			$classes [] = 'cat-' . $category->cat_ID . '-id';
			return $classes;
	}
	add_filter('post_class', 'category_id_class');
	add_filter('body_class', 'category_id_class');
	
	function ti_footer_function() {
    	echo '<script> setThemeURL("'.get_template_directory_uri().'"); </script>';
    	
	}
	add_action('wp_head', 'ti_footer_function');
	
	
	function is_sidebar_active( $index = 1 ) {
		global $wp_registered_sidebars;
	
		if ( is_int( $index ) ) :
			$index = "sidebar-$index";
		else :
			$index = sanitize_title( $index );
			foreach ( (array) $wp_registered_sidebars as $key => $value ) :
				if ( sanitize_title( $value['name'] ) == $index ) :
					$index = $key;
					break;
				endif;
			endforeach;
		endif;
	
		$sidebars_widgets = wp_get_sidebars_widgets();
	
		if ( empty( $wp_registered_sidebars[$index] ) || !array_key_exists( $index, $sidebars_widgets ) || !is_array( $sidebars_widgets[$index] ) || empty( $sidebars_widgets[$index] ) )
			return false;
		else
			return true;
	}	
	
	function ti_change_mce_options($initArray) {
		$ext = 'figure';
		if ( isset( $initArray['extended_valid_elements'] ) ) {
			$initArray['extended_valid_elements'] .= ',' . $ext;
		} else {
			$initArray['extended_valid_elements'] = $ext;
		}
		return $initArray;
	}
	
	
	
	
	add_filter('tiny_mce_before_init', 'ti_change_mce_options');
	
	/**
	 * Add "first" and "last" CSS classes to dynamic sidebar widgets. Also adds numeric index class for each widget (widget-1, widget-2, etc.)
	 */
	
	
	add_filter('widget_text', 'do_shortcode');
	
	function widget_first_last_classes($params) {
	
		global $my_widget_num; // Global a counter array
		$this_id = $params[0]['id']; // Get the id for the current sidebar we're processing
		$arr_registered_widgets = wp_get_sidebars_widgets(); // Get an array of ALL registered widgets	
	
		if(!$my_widget_num) {// If the counter array doesn't exist, create it
			$my_widget_num = array();
		}
	
		if(!isset($arr_registered_widgets[$this_id]) || !is_array($arr_registered_widgets[$this_id])) { // Check if the current sidebar has no widgets
			return $params; // No widgets in this sidebar... bail early.
		}
	
		if(isset($my_widget_num[$this_id])) { // See if the counter array has an entry for this sidebar
			$my_widget_num[$this_id] ++;
		} else { // If not, create it starting with 1
			$my_widget_num[$this_id] = 1;
		}
	
		$class = 'class="widget-' . $my_widget_num[$this_id] . ' '; // Add a widget number class for additional styling options
	
		if($my_widget_num[$this_id] == 1) { // If this is the first widget
			$class .= 'alpha ';
		} elseif($my_widget_num[$this_id] == count($arr_registered_widgets[$this_id])) { // If this is the last widget
			$class .= 'omega ';
		}
	
		$params[0]['before_widget'] = str_replace('class="', $class, $params[0]['before_widget']); // Insert our new classes into "before widget"
	
		return $params;
	
	}
	add_filter('dynamic_sidebar_params','widget_first_last_classes');
	
	
	//----------------Custom Logo---------------------
	
	//add_custom_image_header( '', '' );
	
	
	//------PIE.htc for wordpress----------------------
	//add_action('parse_request', 'pie_request' );
	
	function pie_request($wp){
	
		if ( !array_key_exists('callback', $wp->query_vars) ) return;

		if ( $wp->query_vars['callback'] == 'pie') {
			header("Location:".get_template_directory_uri().'/js/PIE.htc');
			exit;
		}
		
	}
	//------Images Rewrite----------------------------- 
	add_action('parse_request', 'path_request' );
	
	function path_request($wp){
	
		if ( !array_key_exists('callback', $wp->query_vars) ) return;
		
		if ( $wp->query_vars['callback'] == 'path') {
			header("Location:".get_template_directory_uri().'/'.urldecode($wp->query_vars['p']));
			 
			exit;
		}
	
	} 
	
	//--wp-e-commerece utilities-----------------------
	function isOnWPSCpage(){
        global $post;
        return  ($this->isOnWPSCList() || $this->isOnUserLogPage() || $this->isOnAccountPage() ||
                $this->isOnProductPage() || $this->isOnShoppingCartPage() || $this->isOnTransactionPage());
            
        //return false;
    }
	
	
	//---- Custom menu Walker---------------------------
	
	class ti_menu_walker extends Walker_Nav_Menu
	{
	      function start_el(&$output, $item, $depth, $args)
	      {
	           global $wp_query;
	           $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
	
	           $class_names = $value = '';
	
	           $classes = empty( $item->classes ) ? array() : (array) $item->classes;
				if ($item->menu_order == 1) {
					$classes[] = 'alpha';
				}
	           $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
	           $class_names = ' class="'. esc_attr( $class_names ) . '"';
	
	           $output .= $indent . '<li ' . $value . $class_names .'>';
	
	           $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
	           $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
	           $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
	           $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
	
	           $prepend = '';
	           $append = '';
	        	
	           if($depth != 0)
	           {
	                     $description = $append = $prepend = "";
	           }
				
				
	            $item_output = $args->before;
	            $item_output .= '<a'. $attributes .'>';
	            $item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
	            $item_output .= $description.$args->link_after;
	            $item_output .= '</a>';
	            $item_output .= $args->after;
	
	            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	            }
	}
	
	
	
	add_action('admin_init', 'ti_admin_init');
function ti_admin_init() {
    register_setting( 'ti_options', 'ti_options', 'ti_options_validate' );
    add_settings_section('ti_main', 'Choose Logo', 'ti_section_text', 'ti');
    add_settings_field('ti_filename', 'File:', 'ti_setting_filename', 'ti', 'ti_main');
}

// add the admin options page
add_action('admin_menu', 'ti_admin_add_page');
function ti_admin_add_page() {
    $mypage = add_theme_page('Custom Logo', 'Custom Logo', 'manage_options', 'ti', 'ti_options_page');
}

// display the admin options page
function ti_options_page() {
?>
    <div class="wrap">
    <h2>Upload Custom Logo Image</h2>
    <p>Upload the logo image you would like to have.</p>
    <form method="post" enctype="multipart/form-data" action="options.php">
    <?php settings_fields('ti_options'); ?>
    <?php do_settings_sections('ti'); ?>
    <p class="submit">
    <input type="submit" name="Delete" class="button-primary" value="<?php esc_attr_e('Delete Logo') ?>" />
    <input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
    </p>
    </form>

    </div>
    
<?php
}

function ti_section_text() {
    $options = get_option('ti_options');
    echo '<p>Upload your logo here:</p>';
    if ($file = $options['logo_file']) {
        // var_dump($file);
        echo "<img src='{$file['url']}' />";
    }
}

function ti_get_related_posts( $post, $limit ) {
  global $wpdb; // wordpress database access
  
  // limit has to be a number
  $limit = (int)$limit;
  
  // get tags of the post
  $tags = wp_get_post_tags( $post->ID );
  if( is_wp_error($tags) )
    return false; // error
  if( count($tags)<=0 ) // we cannot get related posts without tags
    return array(); // no related posts

  // get term ids
  $termtaxonomyids = array();
  foreach( $tags as $tag ) {
    $termtaxonomyids[ $tag->term_taxonomy_id ] = $tag->term_taxonomy_id;
  }
  if( count($termtaxonomyids)<=0 ) // we cannot get related posts without the termtaxonomyids
    return array(); // no related posts
  
  // the query to get the related posts
  $query = "SELECT p.ID, COUNT(tr.object_id) AS cnt " // get post ids and count
          ."FROM $wpdb->term_relationships AS tr, $wpdb->posts AS p "
          ."WHERE tr.object_id = p.id " // build relations
            ."AND tr.term_taxonomy_id IN(".implode(',',$termtaxonomyids).") " // only with the same tags
            ."AND p.id!=$post->ID " // only other posts, not the post selfe
            ."AND p.post_status='publish' " // only published posts
          ."GROUP BY tr.object_id " // group by relation
          ."ORDER BY cnt DESC, p.post_date_gmt DESC " // order by count best matches first, and by date within same count
          ."LIMIT $limit "; // get only the top x

  // caching
  global $rp_cache;
  $rp_cache_id = md5( $query );
  if( !is_array($rp_cache) )
    $rp_cache = array();
  if( array_key_exists($rp_cache_id,$rp_cache) )
    return $rp_cache[$rp_cache_id];
  
  // run the query and return the result
  $posts = $wpdb->get_results( $query );
  
  // caching
  if( $posts ) {
  		$rp_cache[$rp_cache_id] = $posts; 
    	return $posts;
    }

  // return
  
}


if ( ! function_exists( 'phomedia_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 * simply create your own phomedia_comment(), and that function will be used instead.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 * @since Twenty Ten 1.0
 */
function phomedia_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="comment">
		<div class="comment-author vcard">
			<figure><?php echo get_avatar( $comment, 76, 69 ); ?></figure>
		<div class="comment-title">
			
			<?php printf( __( '<h5>%s</h5>', 'phomedia' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		<!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
		
			<em class="comment-awaiting-moderation">: <?php _e( 'Your comment is awaiting moderation.', 'phomedia' ); ?></em>
			
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'phomedia' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'phomedia' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->
		</div>
		</div>
		<div class="comment-body">
		<?php comment_text(); ?>
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			 <?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
	</div><!-- #comment-##  -->
	<div class="clear"></div>
	</div>
	
	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'phomedia' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'phomedia' ), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;



function ti_contact_form(){
	
	global $user_identity, $id;

	if ( null === $post_id )
		$post_id = $id;
	else
		$id = $post_id;

	$commenter = wp_get_current_commenter();

	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
	
	$fields =  array(
		'author' => '<div class="com_inputs"><input id="author" name="author" type="text" onblur="if (this.value==\'\'){this.value=\''.__('Name:', 'phomedia'). ( $req ? ' required' : '' ) .'\'}" onfocus="if (this.value==\''.__('Name:', 'phomedia').( $req ? ' required' : '' ) .'\'){this.value=\'\'}" value="' .( esc_attr( $commenter['comment_author'] ) ? esc_attr( $commenter['comment_author'] ): __('Name:', 'phomedia'). ($req ? ' required':'')).'" ' . $aria_req . ' />',
		'email'  => '<input id="email" name="email" type="text" onblur="if (this.value==\'\'){this.value=\''.__('Email:', 'phomedia'). ( $req ? ' required' : '' ) .'\'}" onfocus="if (this.value==\''.__('Email:', 'phomedia').( $req ? ' required' : '' ) .'\'){this.value=\'\'}" value="' .( esc_attr( $commenter['comment_author_email'] ) ? esc_attr( $commenter['comment_author_email'] ): __('Email:', 'phomedia'). ($req ? ' required':'')).'" ' . $aria_req . ' />',
		'url'    =>  '<input id="url" name="url" type="text" onblur="if (this.value==\'\'){this.value=\''.__('Website:', 'phomedia'). ( $req ? ' required' : '' ) .'\'}" onfocus="if (this.value==\''.__('Website:', 'phomedia').( $req ? ' required' : '' ) .'\'){this.value=\'\'}" value="' .( esc_attr( $commenter['comment_author_url'] ) ? esc_attr( $commenter['comment_author_url'] ): __('Website:', 'phomedia'). ($req ? ' required':'')).'" ' . $aria_req . ' /></div>',
	);

	$required_text = sprintf( ' ' . __('Required fields are marked %s', 'phomedia'), '<span class="required">*</span>' );
	$defaults = array(
		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
		'comment_field'        => '<textarea id="comment" name="comment"  aria-required="true"></textarea>',
		'must_log_in'          => '' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '',
		'logged_in_as'         => '' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>','phomedia' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '',
		'comment_notes_before' => '',
		
		'id_form'              => 'commentform',
		'id_submit'            => 'submit',
		'title_reply'          => __( 'Leave a Reply:', 'phomedia' ),
		'title_reply_to'       => __( 'Leave a Reply to %s :', 'phomedia' ),
		'cancel_reply_link'    => __( 'or Cancel reply', 'phomedia' ),
		'label_submit'         => __( '', 'phomedia' ),
		'comment_notes_after'  => '<button id="com_submit"><span>'.__('Post Comment', 'phomedia').'</span></button>' ,
	);

	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );

	return $args;
}

function ti_setting_filename() {
    echo '<input type="file" name="ti_filename" size="40" />';
}

function ti_options_validate($input) {
    $newinput = array();
    if ($_FILES['ti_filename'] && ($_POST['Submit']=='Save Changes')) {
        $overrides = array('test_form' => false); 
        $file = wp_handle_upload($_FILES['ti_filename'], $overrides);
        $newinput['logo_file'] = $file;
    } else {
    	$newinput['logo_file'] = '';
    }
    return $newinput;
}
	
	
	
	include_once('tiadmin/tiadmin.php');
	include_once('extensions/contact7submit.php');
	include_once('extensions/nlajaxwidget.php');
	include_once('extensions/gmapswidget.php');
	include_once('extensions/nggcustomajax.php');
	include_once('extensions/sliderswidget.php');
	include_once('extensions/nggfeatured.php');

	include_once('extensions/wpscspecialsdwidget.php');
	include_once('extensions/wpsclatestwidget.php');
	include_once('extensions/icl_utility.php');
	include_once('extensions/twidget.php');
	include_once('extensions/wpsccoups.php');
	$iclUtility = new IclUtility();

	
	
?>