<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php if ( is_tag() ) {
			echo __('Tag Archive for &quot;','phomedia').$tag.'&quot; | '; bloginfo( 'name' );
		} elseif ( is_archive() ) {
			wp_title(); echo __(' Archive | ','phomedia'); bloginfo( 'name' );
		} elseif ( is_search() ) {
			echo __('Search for &quot;','phomedia').wp_specialchars($s).'&quot; | '; bloginfo( 'name' );
		} elseif ( is_home() ) {
			bloginfo( 'name' ); echo ' | '; bloginfo( 'description' );
		}  elseif ( is_404() ) {
			echo __('Error 404 Not Found | ','phomedia'); bloginfo( 'name' );
		} else {
			echo wp_title( ' | ', false, right ); bloginfo( 'name' );
		} ?></title>
	<meta name="description" content="<?php wp_title(); echo ' | '; bloginfo( 'description' ); ?>" />
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="generator" content="WordPress" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="index" title="<?php bloginfo( 'name' ); ?>" href="<?php echo home_url(); ?>/" />
	<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico" type="image/x-icon" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />
	
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-ui.min.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/ddsmoothmenu.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/fancybox/jquery.mousewheel-3.0.4.pack.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.capSlide.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-tooltip/lib/jquery.bgiframe.js" type="text/javascript"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-tooltip/lib/jquery.dimensions.js" type="text/javascript"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-tooltip/jquery.tooltip.js" type="text/javascript"></script>
   <!-- <script src="<?php echo get_template_directory_uri(); ?>/js/jquery.validate.min.js"></script>-->
    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery-css-transform.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-animate-css-rotate-scale.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery.quicksand.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/coin-slider.min.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/phomedia.js"></script>
	<?php echo '<script src="'.get_template_directory_uri().'/js/jqFancyTransitions.1.8.js"></script>'; ?>
	
	<?php 
		// The HTML5 Shim is required for older browsers, mainly older versions IE
	?>
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/coin-slider-styles.css" type="text/css" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	
	<!--[if IE 8]>
		<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/css/ie.css"/>
	<![endif]-->
	
	 <!-- this is used by many Wordpress features and for plugins to work proporly -->
	
	<?php wp_head(); ?>
	
</head>

<body <?php body_class(); ?>>
	 <!--<div id="chrome"></div>-->
	<header>
		<section class="chrome">	
			<div class="container_12">
				<div class="grid_12">
					<div class="top_head">
						<div id="header_sidebar"><?php dynamic_sidebar('Header');?></div>
						<div id="hidden_menu"><div id="smoothmenu_top" class="ddsmoothmenu"><?php wp_nav_menu( array( 'theme_location' => 'header_menu', 'container' => '', 'walker' => new ti_menu_walker(), 'menu_id' => 'hid')); /* editable within the Wordpress backend */ ?></div></div>
						
					</div>
				
					<div id="head_right">
					<div class="shopping_cart">
						<div id="cart">
							<div id="cart_content">
								<?php dynamic_sidebar('Shopping Cart');	 ?>
							</div>
						</div>
						<br/>
					</div>
					
					<nav id="sub_links"><?php wp_nav_menu( array('theme_location' => 'subheader_menu', 'container' => '', 'walker' => new ti_menu_walker() )); /* editable within the Wordpress backend */ ?></nav>
					</div>
				</div>
			</div>
		</section>
		<div class="container_12">
			<div class="grid_12 header_container">
				<?php 
					$options = get_option('ti_options');
  					$file = $options['logo_file'];
  				if (!is_array($file)) : 
  				?> 
  					<?php if( is_front_page() || is_home() )  : ?>		
	  					<h1 id="logo"><?php bloginfo('name'); ?></h1>	
					<?php else: ?>
						<h2 id="logo"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h2>
					<?php endif; ?>
				<?php else: ?>	
				
					<?php if( is_front_page() || is_home() )  : ?>
	  					<div id="logo"><img src="<?php echo $file["url"];  ?>" alt="<?php bloginfo('name'); ?>" /></div>	
					<?php else: ?>
						<div id="logo"><a href="<?php echo home_url(); ?>"><img src="<?php echo $file["url"];  ?>" alt="<?php bloginfo('name'); ?>" /></a></div>
					<?php endif; ?>
				<?php endif; ?>
				
				<?php /* ?><div id="description"><?php bloginfo('description'); ?></div><?php */ ?>
				
						
			<div class="clear"></div>
				<div id="container">
							<nav id="main_menu">
								<div id="smoothmenu1" class="ddsmoothmenu">
									<?php wp_nav_menu( array( 'theme_location' => 'header_menu', 'container' => '', 'walker' => new ti_menu_walker())); /* editable within the Wordpress backend */ ?>
								</div>
							</nav><!--#main_menu-->
							<form method="get" name="head_search" id="search_form" action="<?php echo home_url(); ?>">
							
								<div id="searchback">
									<input type="text" onblur="if(this.value =='') this.value='enter search terms'" onfocus="if (this.value == 'enter search terms') this.value=''"  value="<?php if (esc_html($s)) echo esc_html($s); else echo 'enter search terms'; ?>" name="s" class="required" id="s"/>
									<a id="header_search_button"></a>
								</div>
							</form>
							<div class="clear"></div>
				</div>
			</div>
			
		</div>
		<div class="clear"></div>
	</header>
